Bug 284931 - german special characters displayed wrong sometimes
german special characters displayed wrong sometimes
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: system-config-services (Show other bugs)
5.0
i386 Linux
medium Severity low
: beta
: ---
Assigned To: Nils Philippsen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-10 13:58 EDT by Ronny Fischer
Modified: 2010-03-30 05:54 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-30 04:45:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot displaying wrong characters (26.84 KB, image/png)
2007-09-10 13:58 EDT, Ronny Fischer
no flags Details

  None (edit)
Description Ronny Fischer 2007-09-10 13:58:59 EDT
Description of problem:

Having installed CentOS 5 in german results in errors when displaying special 
character (known as Umlaut) in some applications, e.g. in serviceconf. This 
looks like shown in the attached screenshot.

Would be great if this can be fixed. It's not a real bug, but quiet annoying.

Originally located in CentOS 5 which is directly derived from RHEL 5. I guess 
that comes from using ASCII or any other encoding which isn't capable of 
displaying those characters but this is just speculation by me.

Version-Release number of selected component (if applicable):

CentOS 5, all kernels, Gnome 2.16

How reproducible:
always

Steps to Reproduce:
1. install CentOS 5 or RHEL 5 in german
2. take a look at different places like shown in the screenshot
3.
  
Actual results:

german special characters are displayed wrong or with errors or 

Expected results:

special characters should displayed correctly

Additional info:

Since I didn't know to what component this issue has to be filed, I've chosen 
gnome-desktop, which suits best at the moment.

I know that this was something I encountered in FC 5, too. AFAIR it was ok when 
using FC6, I'm sure that every character is displayed correctly in Fedora 7.

I also filed this Bug to the CentOS Bug database. See http://bugs.centos.org/
view.php?id=2323
Comment 1 Ronny Fischer 2007-09-10 13:58:59 EDT
Created attachment 191821 [details]
Screenshot displaying wrong characters
Comment 2 Ray Strode [halfline] 2007-09-10 16:36:08 EDT
Is this with all applications, or just some?

What's the output of running

locale

at the terminal?
Comment 3 Ronny Fischer 2007-09-11 02:24:50 EDT
It appears only in some apps (actually I have only serviceconf to mention, but 
I'm not sure this is the only one), other elements, e.g. the gnome-menus 
showing those caracters correctly. Also applications like gedit doing right.

The output of locale shows

LANG=de_DE.UTF-8
LC_CTYPE="de_DE.UTF-8"
LC_NUMERIC="de_DE.UTF-8"
LC_TIME="de_DE.UTF-8"
LC_COLLATE="de_DE.UTF-8"
LC_MONETARY="de_DE.UTF-8"
LC_MESSAGES="de_DE.UTF-8"
LC_PAPER="de_DE.UTF-8"
LC_NAME="de_DE.UTF-8"
LC_ADDRESS="de_DE.UTF-8"
LC_TELEPHONE="de_DE.UTF-8"
LC_MEASUREMENT="de_DE.UTF-8"
LC_IDENTIFICATION="de_DE.UTF-8"
LC_ALL=

Thanks
Comment 4 Ronald Kloust 2007-09-24 06:37:13 EDT
It seems to be a general translation error within the service configuration 
tool, as all German messages aren't UTF-8 translated.

Is there any assistance necessary from the community to resolve this errors 
within version 5 (Fedora, RHEL, CentOS, ...)?

I really know, that this is not a real bug, but errors within English messages 
and descriptions are fixed as soon as possible.

Additional screenshots are unnecessary. The attached one is a good example.
Comment 5 Daniel Riek 2008-08-19 21:01:57 EDT
Moving to system-config-services and proposing for FasTrack.

Contribution through Fedora is always welcome!
Comment 6 Nils Philippsen 2008-08-20 03:30:05 EDT
This would likely only need offending *.po files converted to UTF-8.
Comment 8 Fabian Affolter 2008-10-08 04:08:15 EDT
In Fedora this bug was fixed some time ago.  At least in Fedora 7 it didn't emerge anymore.

Fedora 7: system-config-services-0.9.8-1
RHEL/Centos 5: system-config-services-0.9.4-1

With the next new release of system-config-services for RHEL/Centos this bug will disappear.

Details about the po file
https://translate.fedoraproject.org/POT/system-config-services.tip/system-config-services.tip.de.po
Comment 9 Nils Philippsen 2009-01-27 09:58:53 EST
(In reply to comment #8)
> With the next new release of system-config-services for RHEL/Centos this bug
> will disappear.

Updated Fedora package versions usually won't turn up in future RHEL-5 updates. If all parties involved ACK this bug, the fix will be backported as a patch.
Comment 23 errata-xmlrpc 2010-03-30 04:45:46 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0275.html
Comment 24 Ronny Fischer 2010-03-30 05:54:52 EDT
(In reply to comment #23)
> An advisory has been issued which should help the problem
> described in this bug report. This report is therefore being
> closed with a resolution of ERRATA. For more information
> on therefore solution and/or where to find the updated files,
> please follow the link below. You may reopen this bug report
> if the solution does not work for you.
> 
> http://rhn.redhat.com/errata/RHBA-2010-0275.html    

Link not accesable latest advisory is dated 2010-03-26 (RHBA-2010:0176)

Thanks

Note You need to log in before you can comment on or make changes to this bug.